--[[
QUEUE ENGINE 0.5 ~ Conf.lua

(C) 2013 Clinton S. Cañalita and others
]]--

function love.conf(t)
    t.title = "Platformer Engine"   -- The title of the window the game is in (string)
    t.author = "Clinton Cañalita"		-- The author of the game (string)
    t.identity = "QUEUE"            -- The name of the save directory (string)
    t.version = "0.8.0"             -- The LOVE version this game was made for (string)
    t.console = true              -- Attach a console (boolean, Windows only)
    t.release = false               -- Enable release mode (boolean)
    t.screen.width = 800            -- The window width (number)
    t.screen.height = 450           -- The window height (number)
    t.screen.fullscreen = false     -- Enable fullscreen (boolean)
    t.screen.vsync = true           -- Enable vertical sync (boolean)
    t.screen.fsaa = 0               -- The number of FSAA-buffers (number)
    t.modules.joystick = false			-- Enable the joystick module (boolean)
    t.modules.audio = false				-- Enable the audio module (boolean)
    t.modules.keyboard = true			-- Enable the keyboard module (boolean)
    t.modules.event = true				-- Enable the event module (boolean)
    t.modules.image = true				-- Enable the image module (boolean)
    t.modules.graphics = true			-- Enable the graphics module (boolean)
    t.modules.timer = true				-- Enable the timer module (boolean)
    t.modules.mouse = true				-- Enable the mouse module (boolean)
    t.modules.sound = true				-- Enable the sound module (boolean)
    t.modules.physics = false			-- Enable the physics module (boolean)
end