--[[
QUEUE ENGINE 0.5 ~ Draw.lua

(C) 2013 Clinton S. Cañalita and others
]]--

function debugText()
    local tileX = math.floor(p.x / map.tileWidth)
    local tileY = math.floor(p.y / map.tileHeight)
    local fpsText = love.timer.getFPS()
    local x, y = (math.floor(p.x)), (math.floor(p.y))
		local trig
    
    lg.setColor(255, 255, 255)
    lg.print("FPS: "..fpsText.." Level: "..levelNum.." Player coordinates: ("..x..","..y..")", 5, 5)
        
    if (p.alive) then
      lg.print("Lives: "..p.lives.." Current state: "..p.state, 5, 20)
    else
      lg.print("PLAYER IS DEAD.", 5, 20)
    end
      
    lg.print("Current tile: ("..tileX..", "..tileY..") health: "..p.health, 5, 35)
    
    lg.print("x_vel: "..p.x_vel.." y_vel: "..p.y_vel.." side_stick: "..p.side_stick, 5, 50)

	if p.atk_trigger then
		trig = "true"
	else
		trig = "false"
	end
	
	lg.print("horizontal_jump_vel = "..p.hor_jump_vel.." atk_trigger = "..trig, 5, 65)
  
end